Imports System.ComponentModel
Imports System.Drawing.Design
Imports DigitalData.GUIs.ClientSuite.Controls.Editors

Namespace Controls.Editors
    <Editor(GetType(DatasourceEditor), GetType(UITypeEditor))>
    <TypeConverter(GetType(DatasourceTypeConverter))>
    Public Class DatasourceType
        Public Property StaticList As New List(Of String)
        Public Property SQLCommand As String = String.Empty

        Public Sub New()
        End Sub

        Public Sub New(Values As List(Of String))
            _StaticList = Values
        End Sub

        Public Sub New(SQLCommand As String)
            _SQLCommand = SQLCommand
        End Sub
    End Class
End Namespace
